<?php

namespace DMZ\Models;

use Illuminate\Database\Eloquent\Model;

class Multimedia extends Model
{
  protected $table ='multimedia';
  public $fillable = [
	'id',
	'title',
	'embed',
	'description', 
	'status',
	'publish_up',
	'created_by',
	'updated_by' 
  ];
  public $timestamps = true;

  public function scopeGetMultimedia($query){
        return $query->select('multimedia.*') 
                     ->orderBy('publish_up', 'desc')
                     ->orderBy('created_at', 'desc');
  }
}